import Vue from 'vue';
import Vuex from 'vuex';
import { store } from '@gtff/tdesign-gt-vue';
import user from './modules/user';
import mxuser from './modules/mxuser';
import ggwhglHtgl from './modules/ggwhglHtgl';
const initStore = store.init(Vue, Vuex);

initStore.registerModule('index', {
  state: {
    user: 'index name',
  },
});
initStore.registerModule('user', user);
initStore.registerModule('mxuser', mxuser);
initStore.registerModule('ggwhglHtgl', ggwhglHtgl);
export default initStore;
